Skip to main content
PUT
/
businesses
/
{businessId}
Update Business
curl --request PUT \
  --url https://services.leadconnectorhq.com/businesses/{businessId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "name": "Microsoft",
  "phone": "+18832327657",
  "email": "john@deo.com",
  "postalCode": "12312312",
  "website": "www.xyz.com",
  "address": "street adress",
  "state": "new york",
  "city": "new york",
  "country": "us",
  "description": "business description"
}
'
{
  "success": true,
  "buiseness": {
    "id": "63771dcac1116f0e21de8e12",
    "name": "Microsoft",
    "locationId": "<string>",
    "phone": "<string>",
    "email": "abc@microsoft.com",
    "website": "microsoft.com",
    "address": "<string>",
    "city": "<string>",
    "description": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "country": "united states",
    "updatedBy": {},
    "createdBy": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

businessId
string
required

Body

application/json
name
string
Example:

"Microsoft"

phone
string
Example:

"+18832327657"

email
string
Example:

"john@deo.com"

postalCode
string
Example:

"12312312"

website
string
Example:

"www.xyz.com"

address
string
Example:

"street adress"

state
string
Example:

"new york"

city
string
Example:

"new york"

country
string
Example:

"us"

description
string
Example:

"business description"

Response

Successful response

success
boolean
required

Success Value

Example:

true

buiseness
object
required
Last modified on March 4, 2026